Vai al contenuto
aleco

Estrusione Ad Altezze Variabili

Recommended Posts

ciao a tutti, qualcuno sa se esiste un lisp per autocad che mi permette di selezionare diverse polilinee chiuse ed estruderle ad altezze variabili?

so che c'è qualcosa di simile per 3d studio max, però non serve per me ma per un mio collega che deve estrudere una parte di contesto urbano e per non fare tutte le case alte uguale se si potesse fare con un lisp che magari mi permette di scegliere l'altezza minima e quella massima risparmierebbe un pò di tempo.

Ho provato a cercare ma non sono riuscito a trovare niente e se non esiste mi sa che dovrò studiarmi un pò di autolisp e provare a farlo io.

grazie a tutti

buon pranzo

Condividi questo messaggio


Link al messaggio
Condividi su altri siti

sto provando a farmelo da me ma ho non poche difficoltà.

per fare una prova o fatto così:

(prompt "\nSeleziona oggetti con una finestra")

(setq p1 (getpoint "\nPrimo angolo: "))

(setq p2 (getcorner p1 "\nSecondo angolo: "))

(setq sel1 (ssget "w" p1 p2 '((0 . "POLYLINE"))))

(command "_.EXTRUDE" sel1 10)

però mi sa che il comando extrude non funziona proprio così.

non riesco a capire come utilizzare i comandi come si deve, cioè va bene la storia delle variabili, però faccio la selezione, non riesco a visualizzare quanti elementi sono stati selezionati e poi non riesco a passarli al comando extrude.

sono partito studiando da qui http://maxint.dynalias.org/~max/pmwiki/pmw...AdAutoLisp#toc7

Condividi questo messaggio


Link al messaggio
Condividi su altri siti

Sono riuscito ad ottenere qualcosa finalmente, per molti potrà sembrare banale ma per me che non so niente di autolisp è già un successo.

Ora devo riuscire a filtrare la selezione in modo che prenda solo gli oggetti di un determinato layer e di tutte le figure chiuse che trova mi deve creare su un nuovo layer degli oggetti chiusi estrudibili.

Dopo questo devo fare in modo che le estrusioni siano fatte ad altezze variabili in modo random sugli oggetti. A pensarci bene mi sa che per quest'ultima parte la vedo alquanto grigia.

(prompt "\nSeleziona oggetti con una finestra")

(setq p1 (getpoint "\nPrimo angolo: "))

(setq p2 (getcorner p1 "\nSecondo angolo: "))

(setq sel1 (ssget "w" p1 p2) )

(command "_.EXTRUDE" sel1 "" "10" "")

Condividi questo messaggio


Link al messaggio
Condividi su altri siti

Crea un account o accedi per commentare

Devi essere un utente per poter lasciare un commento

Crea un account

Registrati per un nuovo account nella nostra comunità. è facile!

Registra un nuovo account

Accedi

Hai già un account? Accedi qui.

Accedi ora

  • Navigazione recente   0 utenti

    Non ci sono utenti registrati da visualizzare in questa pagina.

×